Problema ATI 9.4 en Jaunty, instalación ATI 9.3 en Intrepid + arreglo suspender/hibernar en Dell Inspiron 1501 (V.8)

ATI Logo

Antes de comenzar, y lamento ser aguafiestas, es que para los que gozamos de un Inspiron 1501 con una ATI Radeon Xpress o varias otras tarjetas de video compatibles con DX9, ATI nos ha tirado al olvido. Así es, la compañía optó por mover estos drivers a lo que se conoce como legacy, es decir, drivers que ya no serán actualizados para poder enfocarse mejor en las nuevas tecnologías. Así es como que el último driver compatible es el Catalyst 9.3 (al momento de escrbir esto van en la 9.5). Me parece lamentable puesto que mi equipo tiene 2 años de antigüedad, no creo que sea tan viejo como para que sus drivers dejen de actualizarse. Como sea, eso no es lo peor de todo…

Lo peor de todo es que Canonical está haciendo lo mismo que tanto nos molesta de Microsoft – forzarnos a actualizar el hardware -. Esto como es de esperarse se debe a problemas de dependencias de algunos paquetes. La situación es la siguiente:

  • Jaunty viene con…
    • xorg-driver-fglrx 9.4 (primer problema; no es compatible con nuestra tarjeta de video) y,
    • xserver-common 1.6

El segundo problema aparece cuando nos damos cuenta que el driver anterior de ATI (fglrx 9.3) requiere una versión más vieja de xserver, específicamente la 1.5.x Esto nos lleva al triste desenlace que no hay manera de instalar el driver privativo en Ubuntu 9.04. Intenté instalar la versión anterior (haciendo un downgrade de xserver 1.6 al 1.5.x) desde los repositorios de Intrepid y luego instalar el fglrx, pero no me fue bien. Al final opté por quedarme con Intrepid y esperar hasta que haya alguna solución.

Bueno, así que vamos a recordar la instalación de los 9.3 en nuestro good ol’ Intrepid…

Nota: Este artículo es bastante antiguo y lo he ido actualizando en la medida que los drivers cambiaban. Particularmente los 3 últimos puntos deberían estar bastante obsoletos, pero los dejo por si acaso a alguien les podrían servir :). Ya que hace tiempo que dejé de utilizar GNOME y Compiz, hay muchas cosas relativas a ellas que ya no manejo, así que sería muy bueno que alguien me dijese si no están demás.

El artículo va a constar de varias partes, de manera que puedas acceder rápidamente a lo que estás buscando. Si ya sigues este how-to desde antes te recomiendo que te pases al punto 1.2.1:

  1. Instalación drivers propietarios de ATI 9.3
    1. Método Automático
      1. Ubuntu 8.04 (Hardy Heron) (Sólo versión 8.6)
      2. Ubuntu 8.10 (Intrepid Ibex) (Recomendado)
    2. Método Manual
      1. Desde una versión anterior
      2. Desde cero
  2. Configurando el Driver
  3. Verificando
  4. Compiz Fusion y AIGXL (al parecer ya no es útil, pero la dejo por si acaso)
  5. Suspender (pendiente)
  6. Hibernar (pendiente)

1.Instalación drivers propietarios de ATI 9.3

1.1. Método Automático

La realizaremos a través de una aplicación conocida como Envy, proyecto de Alberto Milone, que funciona como un script, descargará el driver y lo configurará por tí. En teoría realiza los mismo pasos que voy a detallar en la siguiente sección. Por lo que entiendo es bastante seguro, pero la verdad es que no me fío mucho de este tipo de aplicaciones y prefiero hacerlo yo de forma manual. Es más seguro y también sirve para aprender.

1.1.1.Ubuntu Hardy Heron (8.04)

Esta versión de Ubuntu trae en sus repositorios la versión 8.3.

Nota: Esta versión (8.10) no está disponible con EnvyNG, así que lo que a continuación se detalla es respecto al driver 8.6 (en caso de que quieras quedarte con esa versión).

La forma más sencilla es instalar EnvyNG es a través de los repostorios:

  1. Abrimos Synaptic (Sistema > Administración > Gestor de Paquetes Synaptic)
  2. Buscamos el paquete envyng-gtk y lo instalamos
  3. Ejecutamos EnvyNG accecediendo desde Aplicaciones > Herramientas del sistema
  4. Escogemos el driver en cuestión y listo :P.

Sorprendentemente sencillo…

1.1.2. Ubuntu Intrepid Ibex (8.10)

El Gestor de Controladores Restringidos (el nombre del paquete es jockey-gtk) nos alertará que hay un driver y bastaría hacer click y luego instalar. Si estoy en lo correcto, Intrepid ya viene con la versión 9.3 desde los repositorios, por lo que la actualización manual no sería necesaria, pero de todas maneras a algún loco con versionitis o a algún desafortunado le podría ser útil.

1.2. Método Manual

1.2.1. Desde una versión anterior

Si ya tenemos instalado el driver anterior, no tendría mucho sentido realizar todo desde el comienzo, así lo trataré de simplificar un poco.

  1. Revisamos que tengamos todas las aplicaciones necesarias.
    • sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-generic
  2. Descargamos el driver desde la página
  3. Desde una terminal (Aplicaciones > Accesorios > Terminal) y ejecutamos el instalador
    • sh ati-driver-installer-9-3-x86.x86_64.run --buildpkg Ubuntu/intrepid
    • A diferencia de las veces anteriores, nos pedirá instalar algunas dependencias extras
  4. Actualizamos los paquetes
    • sudo dpkg -i xorg-driver-fglrx* fglrx-kernel-source* fglrx-amdcccle*
  5. Si acaso nos sale algo así como: “El distribuidor del paquete ha publicado una versión actualizada […]”, nos está preguntando por nuestra configuración de Compiz, si queremos mantenerla pulsamos N y si no, pulsamos Y continuamos (hace tiempo que ya no utilizo Compiz, así que no tengo idea si aún aparece un mensaje como tal, agradecería si alguien me lo puede confirmar para eliminar este punto o dejarlo).
  6. Reiniciamos
    • Si se te perdió el botón de reinicio (como a mí), reinicia desde la consola con sudo reboot

Si todo salió correctamente, salta al punto 2.

1.2.3. Desde cero

Nota: Sospecho que varios de estos pasos ya no son necesarios y que bastaría con lo mismo del punto anterior, pero lo dejo por si acaso.

Nota2: Esta última vez (luego de la vuelta desde Jaunty) instalé los drivers desde los repositorios y luego seguí el punto anterior por lo que insistiría que esto esta obsoleto.

  1. Revisamos que tengamos todas las aplicaciones necesarias.
    • sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-generic
  2. Descargamos el driver desde la página de ATI/AMD.
  3. Abrimos Synaptic y borramos todo lo que contenga fglrx en el nombre (Marcar Eliminar Completamente).
    • En mi caso sólo apareció un paquete: xorg-driver-fglrx (el que se instala por el Gestor de Controladores Restringidos).
  4. Volvemos a nuestra terminal y ejecutamos el instalador.
    • sh ati-driver-installer-9-3-x86.x86_64.run --buildpkg Ubuntu/intrepid
    • Nos solicitará instalar algunas dependencias (si no, no hay de que preocuparse)
  5. Hardy ya viene con un módulo y dado que vamos a usar uno nuevo, tenemos que desactivar el antiguo (ponerlo en la blacklist).
    1. sudo gedit /etc/default/linux-restricted-modules-common
    2. Buscan una línea que dice DISABLED_MODULES="" y le agregan “fglrx” sin comillas de manera que el archivo quede así: DISABLED_MODULES="fglrx"
  6. sudo gedit /etc/modprobe.d/blacklist-restricted (si es que existe, si no, no importa), y comentamos la línea (poniendo un “#”, sin las comillas al comienzo) “blacklist fglrx”. Si te aparece un archivo en blanco como a mí, no hagas nada.
  7. Borramos si acaso hubiese algún módulo en el kernel.
    • sudo rm /usr/src/fglrx-kernel*.deb
  8. Descargamos e instalamos éste paquete desde los repos de Intrepid.
  9. Instalamos los paquetes.
    • sudo dpkg -i xorg-driver-fglrx* fglrx-kernel-source* fglrx-amdcccle*
  10. Si acaso nos sale algo así como: “El distribuidor del paquete ha publicado una versión actualizada […]”, nos está preguntando por nuestra configuración de Compiz, si queremos mantenerla pulsamos N y si no, pulsamos Y continuamos (hace tiempo que ya no utilizo Compiz, así que no tengo idea si aún aparece un mensaje como tal, agradecería si alguien me lo puede confirmar para eliminar este punto o dejarlo).
  11. Reiniciamos
    • Si se te perdió el botón de reinicio (como a mí – de nuevo-), reinicia desde la consola con sudo reboot

2. Configurando el Driver

Abrimos una consola (Aplicaciones > Accesorios > Terminal) y ejecutamos el siguiente comando: sudo aticonfig --initial. Aquí podemos obtener tres resultados:

  • $ sudo aticonfig --initial
    Found fglrx primary device section
    Nothing to do, terminating.
  • Algo sobre cambiando “ati” por “fglrx”
  • Archivo no iniciado:
  • $ sudo aticonfig --initial
    Uninitialised file found, configuring.
    Using /etc/X11/xorg.conf
    Saved back-up to /etc/X11/xorg.conf.original-0

En el primer caso, pasa al siguiente punto, si es el segundo o tercer caso, reinicia el equipo (sudo reboot) o el entorno gráfico (<Ctrl>+<Alt>+<Bksp>).

3. Verificando

Abrimos una consola y ejecutamos fglrxinfo, aquí te dejo mi ejemplo:

pablo@laptop:~$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon Xpress Series
OpenGL version string: 2.1.8543 Release

Lo importante, es que tiene que decir ATI y no Mesa.

Podemos utilizar otros comandos para evaluar, fgl_glxgears, glxinfo | grep direct (esperamos que diga: Direct Rendering: Yes) y glxgears.

Si todo salió bien, ya tenemos aceleración gráfica con el último driver… ¡felicitaciones!. Si utilizas Hardy o Intrepid, ya debería estar listo y bastaría comenzar a jugar con Compiz (o Warsow… u Open Arena @_@).

Obsoleto:

Al intentar con esta última versión del controlador aún así no obtenía aceleración gráfica, la solución es sencilla:

  • Alt + F2
  • gksudo gedit /etc/X11/xorg.conf
  • Buscamos una sección que diga algo así:

  • Section "Device"
    Identifier "ATI Technologies Inc RS485 [Radeon Xpress 1100 IGP]"
    Driver "ati"
    BusID "PCI:1:5:0"
    EndSection

  • Y cambiamos “ati” por “fglrx”
  • Reiniciamos el servidor gráfico Ctrl + Alt + Backspace (guarda tu trabajo no guardado)

OJO: Si ingresan al Gestor de Controladores Restringidos verán algo así:

Es totalmente normal que no esté el tick en el checkbox.

4. Compiz-Fusion y AIGLX (¿deprecated?)

Al parecer este punto ya no es necesario, pero lo dejo por si acaso a alguien aún le es útil (ojalá que alguien me confirme para saber si lo elimino o lo dejo.

  1. Ya con nuestro driver funcionando procederemos a desinstalar xgl.
    • Sistema > Administración > Gestor de Paquetes Synaptics > Buscar > xserver-xgl > Botón derecho > Marcar para eliminar completamente > Aplicar
    • sudo apt-get remove --purge xserver-xgl
  2. Abrimos xorg.conf con nuestro editor de textos favorito (usaré gedit)
    • Alt + F2 > gksudo gedit /etc/X11/xorg.conf (si usas KDE, cambia gedit por kate)
    • sudo gedit /etc/X11/xorg.conf
  3. Nos desplazamos hacia el final del archivo, dónde debería haber algo más o menos como esto:
  4. Section "Extensions"
    Option "Composite" "0"
    EndSection

    Y lo cambiamos para que quede así:

    Section "Extensions"
    Option "Composite" "Enable"
    EndSection

  5. Ahora tenemos que reiniciar el servidor gráfico (Ctrl + Alt + Backspace) o el equipo y podremos empezar a disfrutar de los efectos sin XGL.
  6. Para acceder a la configuración lo haces por Sistema > Preferencias > Apariencia > Efectos Visuales (si ya instalaste el paquete que menciono a continuación, podrías escoger Personalizado). Es una buena idea instalar compizconfig-settings-manager, para poder personalizar más los efectos. Luego puedes acceder desde Sistema > Preferencias > Advanced Desktop Settings (CompizConfig Settings Manager).

5. Suspender

Supuestamente la instalación de los últimos drivers debía de arreglar el bug que existía con el Kernel de Gutsy (2.6.22), si bien algunas personas indican que sí les solucionó el problema, yo no tuve tanta suerte (para variar). Pero como este blog no está pensado para personas con suerte, investigaremos :P. Al menos a mí, si lo trataba de suspender, el portátil se suspendía, pero no volvía :(. Si tienen otro problema quizá esta solución podría, como no podría servirles. Independiente del caso, antes de seguir leyendo comprueba si tu equipo se suspende o no.

  1. Editamos el archivo de configuración que administra la energía.
    • Alt + F2 > gksudo gedit /etc/default/acpi-support
    • sudo gedit /etc/default/acpi-support
  2. El archivo se compone de varias entradas, busca éstas, y asegúrate que queden como te indico:
  3. SAVE_VBE_STATE=false

    POST_VIDEO=false
    En mi caso, las dos estaban como true

  4. Ahora cruza los dedos…y ruega porque tu equipo se suspenda.

Perfecto, el equipo se suspende, ahora intentemos hibernarlo…

6.Hibernar

Al parecer, la culpa que el equipo fuera incapaz de hibernarse no tenía relación con el driver y se debía a alguna mala configuración mía. Hace poco que decidí instalar desde cero (mucho trasteo :P) y me funcionó correctamente, incluso antes de actualizar el driver. De todas formas a alguien le podría ser útil, así que queda aquí.

¡¿Qué?! ¡¿No sirve?!

¡Detente! ¡Suelta el laptop y no lo tires por la ventana!

¿Más tranquilo?

Ok, continuemos…

Cuando intenté hibernar mi equipo, alcanzé a leer esto (sacado de /var/log/kern.log/):

Feb 2 01:32:34 ubuntu kernel: [ 205.104000] swsusp: Cannot find swap device, try swapon -a.

Antes de que me devolviera indicándome que había habido un error…

Instalación ATI 8.2 con AIGXL en Ubuntu + arreglo suspender/hibernar en Dell Inspiron 1501

Me llamó la atención error por el comando que ejecutó (además de mencionar a la swap), así que investigue sobre el comando swapon y más específicamente el swapon -a. Este comando como su nombre bien lo indica se encarga de activar la partición de intercambio, el añadido de la -a lo que hace es montar todas las particiones swap.

Por algún extraño motivo, el /etc/fstab a pesar de tener la entrada de este estilo:

#/dev/sda6
UUID=b4596e76-ab31-4256-8b35-ec8c0fa5fb5d none swap sw 0 0

Al intentar utilizar:

# swapon /dev/sda6

Se activaba la swap, y podía hibernar el equipo, el problema era luego, cuando lo encendía, me tiraba errores y por alguna razón la swap no era capaz de montarse.

Mi investigación -para resumir-, me llevo que por alguna razón mi equipo no estaba utilizando bien ese UUID. Así que opté por utilizar directamente la dirección del dispositivo, así que dejé mi /etc/fstab algo así:

/dev/sda6 none swap sw 0 0

Finalmente, luego de mucho buscar modifiqué este archivo:

/etc/initramfs-tools/conf.d/resume

y cambie:

RESUME=UUID=b4596e76-ab31-4256-8b35-ec8c0fa5fb5d

por…

RESUME=/dev/sda6

Luego, ejecuté el update-initramfs -u

Luego de eso logré que el portátil pudiera despertar y la verdad es que lo hace bastante rápido :P.

¿La receta?

Dar un paso-a-paso, me resultaría un poco difícil dado la gran cantidad de cosas que hice. Advierto que puede ser arriesgado y tienen que tener mucho cuidado, sobre todo en algunos pasos, así que si eres lo suficientemente osado, adelante, pero no me puedo responsabilizar. Hazlo bajo tu propio riesgo :P. En realidad no es nada del otro mundo, sólo tienes que hacerlo con calma y lee, no te apures.

  1. Nos volvemos root (sudo su)
  2. fdisk -l | este comando nos indicará nuestras particiones y dónde debería estar la swap, en mi caso en /dev/sda6. Fíjate bien, de aquí depende que hagas las cosas resulten o no. Apréndete ese número y estarás bien.
  3. mkswap /dev/sda6 | eso es arriesgado, si te equivocas de partición puedes dejar la embarrada, si lo haces con calma no debería pasar nada. Creo que podrías hacer lo mismo desde gparted. Formateas esa partición como linux-swap. (Por alguna razón en mi caso se corrompía).
  4. gedit /etc/fstab | tiene varias líneas, fíjate que quede como mi ejemplo de arriba (ese UUID puedes borrarlo), pero con la partición que corresponda (la misma que te mostró fdisk y la misma que formateaste como swap)
  5. gedit /etc/initramfs-tools/conf.d/resume | El archivo sólo tiene una línea, déjalo como puse en el ejemplo de más arriba, RESUME=/dev/<partición que salió en fdisk, que formateaste con mkswap o gparted y que metiste en el /etc/fstab>
  6. update-initramfs -u

Luego de eso, intenta hibernar el equipo y al encenderlo debería funcionar.

Cualquier cosa, dejen un comentario :).

Nota final: Me acabo de dar cuenta que mi principal fuente de donde obtuve la información no está, así que pido miles de disculpas, desconozco desde que momento, pero ahora la agrego:

Fuente: Unofficial Ati Linux Driver Wiki

Anuncios

107 respuestas a “Problema ATI 9.4 en Jaunty, instalación ATI 9.3 en Intrepid + arreglo suspender/hibernar en Dell Inspiron 1501 (V.8)

  1. Mira, segui el manual y tengo las siguientes conclusiones:
    Primero tuve que instalar la primera opción, porque la segunda estaba incompleta, y el link no me corrio.
    Instale, y al parecer tuve éxito, porque compiz me corria perfecto, sin embargo ahora tengo 2 problemas:
    el primero tiene que ver con la reproduccion de videos; y pasa que cuando esta habilitado compiz, no se ve nada, pero cuando pongo a metacity, me corre, en condiciones que con x me corria sin problemas con compiz;
    el segundo es con lo que gasta. No se si el problema es mio, pero desde que lo instale gasta mas en capacidad, y hay momentos en que se vuelve incomodo el uso, se pone lento.
    No se si hay alguna solucion a estos problemas. Lo de hibernar lo veo de ahi

    Me gusta

  2. Lo siento, pero he encontrado otro problema: desde que instalé el driver, simplemente desapareció el inicio de sesión. Cada vez que intento cerrar sesión, se pega. Y tengo que forzar el apagado.

    Me gusta

  3. Pablo N.: El link está bien, tienes que hacer doble clic en la línea y te darás cuenta que copia todo el contenido.

    Lo de la reproducción de videos no lo sé. (lo acabo de probar y efectivamente tienes razón). Pero desconozco el motivo. En este comentario dan una solución, pero yo no lo he probado así que no puedo dar fe que sirva, apenas tengo tiempo haré la prueba.

    http://www.ubuntu1501.com/2007/12/installing-newest-ati-driver.html#c6690090321018233801

    ¿Más lento? Qué extraño, a mi me corre mucho mejor, de hecho ya no tengo esos 70 mb que constantemente usaba xgl. Fíjate si en el “Monitor de Sistema” sigue apareciendo.

    ¿Se congela al cerrar la sesión usando Compiz?

    Me gusta

  4. Un muy buen tutorial, pero no he conseguido que el equipo hiberne :( pero tengo los drivers 8.3 y se suspende “divinamente” (ni siquiera 10 segundos en despertarse, es bárbaro XD.

    Me gusta

  5. Amigos les cuento, he seguido el tutorial al pie de la letra, y no me funciono del todo, me decia el tipico mensaje de “desktop effects could not been enabled” o algo asi no jeje…

    Investigue con mi querido Super Google, y encontre la solucion, la cual esta en el wiki de los drivers de ATI para Linux…

    Queriendo correr desde consola compiz me daba este error:
    “Looking for Xgl: no present….”

    Bien, simplemente sigan los pasos de la seccion “3D desktop effects” del siguiente link y se soluciona el problema…

    Aqui el link:
    http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide#3D_desktop_effects

    Saludos, espero puedan!!! ;)

    Me gusta

  6. Estimado, creo que no leíste todo el artículo, mira lo que dice el punto 4. Compiz y AIGXL.

    Ahí sale lo mismo que en el link que pusiste.

    De todas formas, hay algo raro. Con estas versiones del driver el XGL no es necesario. Así que si si te sale ese error no entendería por qué.

    De todos modos gracias por la información, apenas tenga tiempo, la voy a agregar al artículo.

    Me gusta

  7. Una pregunta en el punto 1.2, para actualizar los paquetes como se pone el comando completo, es k no entiendo eso de los asteriscos, tambien tengo el ubuntu 32 bits.

    Los asteriscos son por la arquitectura, en mi caso que tengo ubuntu 32 bit, es _i386.

    Esa parte no la entendi, podrias poner bien el comando para la misma arquitectura que tu.

    Gracias

    Me gusta

  8. Eh leído varias guías de instalación pero la tuya me llamo la atención al incluir una solución para el problema de suspender, aunque mi problema es mas grave ya que se me termina la sesión de Gnome, automáticamente, aunque configure en Preferencias de Gestión de Energía, no suspender ni himbernar Nunca. Lo peor es que creo que este afecto al Portátil ( Dell Inspiron 6400) ya que lo encendí luego de haberlo apagado porque se me cerro la sesión y no arranco ni el grub! y ahora algunas veces enciende y otras no! Cual será mi problema en realidad?

    Me gusta

  9. Me olvidaba aclarar, que creo que la sesión de XGL esta metiendo la pata. Yo tento funcionando el Compiz Fusion sobre un placa ATi x1400 con XGL en Ubuntu 7.04. Ah otra duda y es la razón porque no me eh actualizado de driver, con esta nueva versión se pueden ver vídeos decentemente sin retardos?

    Me gusta

  10. Jorge: Si copias y pegas el comando basta. Lo que pasa es que poner el asterisco es decirle:

    “Instala todos los paquetes que comiencen con: xorg-driver-fglrx_8.471-0”

    En el caso de mi arquitectura Ubuntu de 32 bits el comando sería:

    sudo dpkg -i xorg-driver-fglrx_8.471-0ubuntu1_i386.deb fglrx-kernel-source_8.471-0ubuntu1_i386.deb fglrx-amdcccle_8.471-0ubuntu1_i386.deb

    Diario de la Unju: Lo siento, no entendí tu problema :(. ¿Podrías explicarlo de nuevo para darte una mano?.

    Con el driver claro que sí, pero creo que estás preguntando por ver videos con Compiz y eso por desgracia no funciona bien. Aunque según este[1] comentario lo puedes arreglar de manera parcial.

    [1] http://www.ubuntu1501.com/2007/12/installing-newest-ati-driver.html#c6690090321018233801

    Me gusta

  11. Okas lo probare y luego comento gracias por responder, solo tengo otra duda, he leido que se tiene que desisntalar el driver anterior (para los que queremos actualizar de la version anterior a esta), es cierto que se tiene que desisntalar?

    Por que veo que en tu manual no lo comentas.

    De nuevo gracias por la ayuda compa.

    Me gusta

  12. Mira, yo había leído eso. Pero la última vez no lo hice (de pasarme de la versión 8.2 a la 8.3) y no tuve ningún problema. Por eso agregue el punto 1.2.

    Y de hecho, cuando hacía algo, copiaba y pegaba el comando aquí mismo, así que no debería ocurrir algún error.

    El asunto fue así:

    Instalación “fresca”
    Instalación manual Driver 8.2
    Actualización a Driver 8.3

    No hay por qué :). Ojalá te vaya bien.

    Me gusta

  13. Diario de la Unju:
    Creeo que se a que problema te refieres, hace unos dias aun utilizaba la sesion XGL para poder correr compiz, y tenia un problema demasiado molesto, y es que, como la sesion consume el 100% de la aceleracion 3D, cualquier cosas que ocupara aceleracion 3D me colgaba el servidor grafico y me devolvia al GDM, el problema era que tenia el ScreenSaver de GLMatrix, y si olvidaba acerca de el, cuando regresaba estaba el GDM, algo que me causaba un coraje jeje…

    Bueno, te cuento, ahora que instale este Driver, se soluciono el problema, debo contarte que aun le falta un poquito a estos drivers, pero te digo un poquito por que corre casi perfectamente, el unico detalle que he notado es que en algunas ocasiones se alcanzan a ver unos parpadeos en la pantalla…. no en toda la pantallla solo en unas partes….
    Bueno, yo lo noto muy insignificante, los efectos de compiz corren excelente.
    Con respecto a los videos, es raro, ya que los reproductores Xine y Totem, si parpadean, pero KPlayer y VLC no lo hacen, se mira perfecto.

    Saludos

    Me gusta

  14. Hola,

    Una consulta;
    Te pregunto por que yo con las versiones anteriores no tuve ningun problema (8.1 y 8.2), incluso si no me equivoco antes habia que compilar el fglrx; pero al intentar actualizar a esta, cuando reinicie no obtuve aceleración, incluso para poder obtener una respuesta de glxinfo |grep direct tuve que copiar una libreria que faltaba supuestamente, por que al intentar ejecutar fglrxinfo o glxinfo me decia algo como, (traducido) “no se puede abrir libGL.so.1 no existe el fichero o directorio”.
    Una vez copiada la libreria (tema que encontre por ahi) una libGL.so.1.2.Mesa*algo* le tuve que cambiar el nombre y copiarla a otro directorio, al hacer fglrxinfo me informa correctamente dice que el driver es fglrx y mi tarjeta grafica una ATI X1650Pro pero glxinfo |grep direct me dice que no tengo aceleracion.
    Le ha pasado a alguien lo mismo? ya lo he hecho 2 veces en mi instalacion original y 2 veces en una limpia (previamente actualizada) y no logro nada :S

    Si alguien pudiera ayudarme, lo agradeceria
    (en fin mas que consulta una solicitud desesperada de ayuda)
    Gracias

    Me gusta

  15. Aclarado !! he instalado todos los pasos y por fin parece que lo he conseguidooo. No instalé el 4 paquete como indicabas pero da igual, funcional. Al realizar sudo aptitude upgrade añade el cuarto paquete que faltaba, osea, que hay que instalarlo.

    Gracias.

    Me gusta

  16. Reoba: Es ciero que a los drivers aún les falta, pero lo bueno es que en cada actualización, me parece que mejora la calidad. Al menos, yo siento que funciona mejor :). Que buen dato ese de VLC, voy a probarlo, porque al menos MPlayer parpadea :(.

    sSpECtRuM: Hmm, que raro, mira no sé porque puede ser, a pesar de que en innumerables ocasiones (muchas más de las que quisiera) me he encontrado con diversos problemas, pero nunca uno de ese tipo. Me da la sensación por un mal manejo de alguna que otra dependencia. Sé que no es lo ideal, pero quizá podrías seguir el tutorial del punto 1.3. Y comenzar borrando todo…

    Eso sí, aquí sale algo sobre el error:

    http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide#libGL_error

    Espero te sirva, nos cuenas como te va!

    vitto: Veo que ya te contestaste, la verdad es que instalarlo no es obligación, no vas a hacerle ningún daño al sistema si lo instalas. Los paquetes terminados en -dev. Son para desarrollo, si no eres desarrollador, no vale la pena instalarlo.

    Si quieres compilar algo podría servirte, pero la verdad es que tampoco es algo necesario (en mi última instalación no he compilado nada.

    Me gusta

  17. mmm yo personalmente aun me quedo con los drivers viejos para ati ya que los nuevos siempre me dejan mal sabor de boca actualisare hasta que almenos mi tarjeta salga con soporte oficial en la pg de ati mi tarjeta es ati radeon x1050 con 256 de ram aunque por culpa de los soportes me la detecta como ati 9550 con 128 XD

    Me gusta

  18. Amigos, Encontre una solucion muy sencilla para aquellos que aun modificando el archivo “acpi-support” no podemos Suspender…
    La Solucion es sencilla, Ocupamos KPowerSave, ya saben como se instala verdad, despues lo corremos, y en icono de notificacion, hacemos click derecho y seleccionamos la opcion “Suspender en Memoria” , lo acabo de probar y me suspendio perfectamente….
    La Primera opcion que sale es “Suspender en Disco” me hiberno la maquina y regreso perfectamente, solo que se puso medio lenta, quizas esta ultima hay algun problema…
    Por lo menos la suspencion funciona perfectamente, usando KPowerSave..

    Pa instalarlo ya saben:

    sudo aptitude install kpowersave

    y listo..
    Espero les funcione… ;)

    Me gusta

  19. Así que no puedo ver vídeos bien mientras se este ejecutando Compiz?

    El otro problema es de sesiones y es el siguiente:
    cuando dejo andando el Ubuntu 7.04 en gnome, con Compiz andando por un par de minutos (a veces segundos) se me cierra la sesión automaticamente. Me fije en Preferencias de Gestión de Energía y puse Hibernar y/o Suspender “nunca”, pero aun me sigue sucediendo que se me cierra la sesión. Arregle el asunto parcialmente borrando el archivo .gnome para que se vuelva a establecer porque aparentemente estaba corrupto, pero el problema persiste. ¿La sesión de XGL con la que hago funcionar el Compiz, esta afectando o perjudicando? ¿Cual sera la solución para este problema?

    Tengo otro problema y es mas grave, me ocurrió que apague el equipo luego que se me cerrara la sesión automáticamente y luego el DELL Inpiron 6400 no quiso encender, tras varios intentos ahora enciendo pero otras veces no! ¿tendría que ver en algo el problema anterior? ¿O sera que el equipo tiene un error físico?

    GRACIAS POR RESPONDER PABLO! como lo hiciste antes…

    Me gusta

  20. Gracias Reoba!
    En efecto usaba un protector de pantalla que usaba XGL y es quien me lleva al GDM. Y en cuanto al video yo uso VCL por que es único que me reproduce *todos* los formatos ( o los que tuve que reproducir) y si el defecto de usarlo en Compiz es minimo, que bueno! me estaba desanimando porque muchos decían que parpadeaba mucho o que se hacia lento.

    Gracias Reoba y Pablo (tb)

    Me gusta

  21. Chaos Energy: Que raro… nunca había escuchado eso… ¿intentaste seguir estos pasos?.

    Reoba: ¿Usar KPowerSave en Ubuntu? Que raro, pero bueno, creo que si te funciona, no hay nada que discutir ;).

    Diario de la Unju: Respecto a los videos, mira, el que viene por defecto en Ubuntu, y VLC, ambos se pueden ver bien los videos, con Mplayer, como que parpadea.

    Lo segundo, si sospechas que el problema es usar la sesión XGL, porque me imagino que has entrado sin tenerla activada. En el menú de bienvenida, haces clic en sesiones, y escoge otra, no XGL. Si el equipo anda bien esta claro que el problema es XGL.

    En caso de ser así, te recomendaría que utilizaras mi tutorial para instalar los ultimos driver, ya que estos no usan XGL para Compiz.

    Me gusta

  22. Muy bueno el howto, mira que probé unos cuantos y todo fue siempre NEFASTO, tengo una ATI HD2400XT y no habia forma de meterla a camino con Ubuntu 7.10.

    Desde que ATI libero el 8.3 las cosas han cambiado y junto con este COMO la cosa ha sido rápida y menos dolorosa que en ocasiones anteriores.

    Gracias :)

    Me gusta

  23. jeje lo que pasa es que los drivers viejos me dan arriba de 3500 FPS pero los nuevos a duras penas suben a 2000 FPS y por ejemplo el emulador como el mupen corre con destellos y con los drivers viejos corre bien pulidito XD

    Me gusta

  24. Hola. Estupendo tutorial, pero no consigo llegar hasta el final. Yo tengo una Ati Mobility Radeon HD 2400 corriendo sobre Linux Mint 4.0 (equivalente a Ubuntu Gutsy). Sigo todos los pasos del tutorial y toda ve como se descrive en él, pero cuando introduzco el fglrxinfo no me aparece ati sino Mesa. No tengo la más remota idea de lo que puede estar saliendo mal, porque además de ignorante soy totalmente nuevo en esto de Linux. ¿Alguna idea?

    Me gusta

  25. gnumax: Que bien :). En todo caso, ya se viene el nuevo Envy que ahí se supone que será más fácil. :).

    Chaos Energy: Nuevamente… que raro.

    Victor: Si revisas bien, te podrás dar cuenta que ese how-to, sigue los mismos pasos que este. Exactamente los mismos,.

    Probablemente te quedaste en que te salió lo de Mesa y no seguiste leyendo un poco más abajo que salía la solución. De todas formas, gracias por el enlace :).

    Me gusta

  26. Pero que mierdas de productos son los de ATI, he estado intentando instalar Gutsy en un equipo con placa madre intel, con una ATI Radeon Xpress 200 (RC410), y no hay forma de que levanten X, solo he logrado que funcione con el driver VESA, intente instalar el driver propietario siguiendo esta guia, pero al momento vuelvo a perder el entorno grafico… a la cresta con ATI y su porquerías, ojala la gente se juntara para no recomendar los productos de esta marca…

    Me gusta

  27. ¿Has probado Hardy y utilizar el Gestor de Controladores? En Sistema > Administración > Hardware Drivers

    Así te instala automáticamente los drivers y yo en todos los equipos con Ati que les he instalado jamás he tenido problemas…

    Me gusta

  28. El tema de la suspencion me quitaba el sueño desde Gutsy, ahora por el momento funciona OK en Hardy que instale hace 2 días, muchas gracias, mas adelante probare la solución de la invernación.

    PD: ¿cual es la diferencia entre suspender e hibernar?

    Me gusta

  29. Oye, en mi caso no tengo la opcion

    Section “Extensions”
    Option “Composite” “0″
    EndSection

    a que crees que se deba, debo colocarlo si en dado caso no esta?

    o que hago para tener el AIGXL,

    Me gusta

  30. Hola, no me va bien, cuando doy al instalador con este comando
    “sudo sh ati-driver-installer-8-4-x86.x86_64.run –buildpkg Ubuntu/gutsy”
    me da este error:
    dpkg-shlibdeps: warning: symbol XauFileName used by debian/xorg-driver-fglrx/usr/sbin/atieventsd found in none of the libraries.
    dpkg-shlibdeps: warning: debian/xorg-driver-fglrx/usr/sbin/atieventsd shouldn’t be linked with libXrender.so.1 (it uses none of its symbols).
    dpkg-shlibdeps: failure: couldn’t find library libfglrx_gamma.so.1 needed by debian/xorg-driver-fglrx/usr/bin/fglrx_xgamma (its RPATH is ”).
    Note: libraries are not searched in other binary packages that do not have any shlibs or symbols file.
    To help dpkg-shlibdeps find private libraries, you might need to set LD_LIBRARY_PATH.
    dh_shlibdeps: command returned error code 512
    make: *** [binary] Error 1
    dpkg-buildpackage: failure: debian/rules binary gave error exit status 2
    Removing temporary directory: fglrx-install.o24395

    Y claro, no voy a continuar con esto
    ¿Alguien me puede decir a que se debe?

    Me gusta

  31. Pues estaba con ubuntu 8.04 pero me he pasado a la 7.10 pàra ver si asi es mas facil ya que lleva mas tiempo. Asi que esta es la que estoy usando.
    Mi placa es un k8ns pro con el chipset nforce3 de nvidia y no se como instalar el agpgart de nvidia que creo que puede ser el problema

    ¿Me puedes ayduar?

    Me gusta

  32. La chicha esta aqui, no tengo el direct rendering activado, esto es lo que me sale con el glxinfo:
    name of display: :0.0
    display: :0 screen: 0
    direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
    server glx vendor string: SGI
    server glx version string: 1.2
    server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
    client glx vendor string: ATI
    client glx version string: 1.3
    client glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
    GLX_ARB_get_proc_address, GLX_SGI_video_sync, GLX_ARB_multisample,
    GLX_ATI_pixel_format_float, GLX_ATI_render_texture
    GLX version: 1.2
    GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
    GLX_ARB_multisample
    OpenGL vendor string: Mesa project: http://www.mesa3d.org
    OpenGL renderer string: Mesa GLX Indirect
    OpenGL version string: 1.4 (2.1 Mesa 7.0.1)
    OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multitexture, GL_ARB_texture_border_clamp,
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add,
    GL_ARB_texture_env_combine, GL_ARB_texture_env_dot3,
    GL_ARB_transpose_matrix, GL_EXT_abgr, GL_EXT_blend_color,
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_texture_env_add,
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3,
    GL_EXT_texture_lod_bias

    visual x bf lv rg d st colorbuffer ax dp st accumbuffer ms cav
    id dep cl sp sz l ci b ro r g b a bf th cl r g b a ns b eat
    ———————————————————————-
    0x23 24 tc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 0 0 None
    0x24 24 tc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 0 0 None
    0x25 24 tc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
    0x26 24 tc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
    0x27 24 dc 0 24 0 r y . 8 8 8 0 0 16 0 0 0 0 0 0 0 None
    0x28 24 dc 0 24 0 r y . 8 8 8 0 0 16 8 16 16 16 0 0 0 None
    0x29 24 dc 0 32 0 r y . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
    0x2a 24 dc 0 32 0 r . . 8 8 8 8 0 16 8 16 16 16 16 0 0 None
    0x62 32 tc 1 0 0 c . . 0 0 0 0 0 0 0 0 0 0 0 0 0 None

    Entonces la cosa esta en poner verbose donde dice que hay que ponerlo pero no se como se edita donde haya que ponerlo y en que lugar hay que hacerlo.

    Me gusta

  33. Estimado, creo que el problema es obvio, tienes una tarjeta de video nvidia, y este es un tutorial para una Ati :P.

    No sé si has visto el Hardware Drivers

    Sistema > Administración > Gestor de controladores restringidos (Hardware drivers)

    Ahí haces un click y te instala la aceleración gráfica.

    Me gusta

  34. A ver… el chipset de mi placa base es nvidia, mi tarjeta grafica es una radeon 9200se de ati. Y el agpgart tendre que ponerle el de el chipset de mi placa usease nvidia nforce3 que no lo encuentro, he seguido eeste tutorial para instalar el agpgart http://www.espaciolinux.com/artitecid-62.html y cuando me sale el listado de los agpgart, me sale de via, de intel y de sis, pero no de nvidia.
    Por lo demas, donde tendria que poner LIBGL_DEBUG=verbose? en el xorg.conf en la seccion device? voy a probarlo pero no creo que sea ahi, a ver si tengo suerte.
    Si no… como puedo activar el direct rendering?

    Me gusta

  35. sigo los pasos pero al instalar los paquetes me dan todos error menos 1 y eso sin desinstalar los fglrx del gestor synaptic porque sino lo desinstalo me dice en los otros que no tengo el xorg-driver-fglrx

    y aun haciendo eso instalando cuando ejecuto el ati-configure initial o como sea me borra automaticamente el xorg.conf por lo que no tengo nada y aun haciendolo lo mejor que sea sigo teniendo los drivers de mesa

    Te pongo mi cuenta msn a ver si asi me puedes ayudar mejor txusramone [at] hotmail [dot] com

    Me gusta

  36. ¿Has probado con el gestor de controladores restringidos?

    Sistema > Administración > Hardware Drivers

    Debería aparecer ahí tu tarjeta de video… dime si sale ahí primero. Esa es la forma más fácil de habilitarlo.

    Me gusta

  37. Sistema > Administración > Hardware Drivers
    eso no lo tengo, no digo el driver sino la opcion de Sistema > Administración > Hardware Drivers
    Tengo Preferencias->informacion del hardware que ahi si que me aparece mi tarjeta de video
    Hay alguna manera de instalar hardware drivers?

    Me gusta

  38. mmm… a ver, ya se donde dices, lo que pasa esque mi tarjeta de video radeon 9200se no soporta este driver que tu pones, el que tengo instalado es el driver libre, en el xorg.conf tengo puesto driver “ati” que se supone que es el libre puesto que el “fglrx” es el oficial pero para mi tarjeta hace años que no lo actualizan.
    ¿Me puedes ayudar igualmente a que aparezca con directrendering: yes?

    Me gusta

  39. Uffff por fin buscando y buscando vi donde estaba el problema, resulta que el agpgart no era compatible con linux por la version de la bios asi que le instale una version mas antigua a la bios ^^
    Bueno, ya tengo aceleracion grafica, ahora solo me falta instalar el driver de ati o el driver libre (mejor) porque en el xorg.conf lo tengo todo desconfigurado ni siquiera tenia la seccion driver “ati” ni ninguno parecido.
    Como puedo instalarlo?? tengo una radeon 9200se por lo que este manual no me sirve porque es para tarjetas mas modernas.
    Me puedes explicar donde puedo encontrar el driver libre de ati? tengo unos 650 fps y me gustaria sacarle mas rendimiento
    Gracias!!

    Me gusta

  40. Me pillaste, la verdad es que no tenía idea que ese driver no funcionara para tarjetas viejas… :S.

    No entiendo bien lo que preguntas, si ya tienes aceleración gráfica tuviste que haber utilizado un driver y si no es el fglrx, tiene que haber sido el libre. ¿O no? :S

    Me gusta

  41. hola a todos,tengoun problemilla, tengo una ati radeon moviliti 9700 con el ubuntu8.04 y instalar el punto ocho:

    8 Instalamos los paquetes.

    * sudo dpkg -i xorg-driver-fglrx_8.476.1-1*.deb fglrx-kernel-source_8.476.1-1*.deb fglrx-amdcccle_8.476.1-1*.deb
    * Los asteriscos son por la arquitectura, en mi caso que tengo ubuntu 32 bit, es _386.

    me dice losiguiente:

    dpkg: error al procesar xorg-driver-fglrx_8.476.1-1*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    dpkg: error al procesar fglrx-kernel-source_8.476.1-1*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    dpkg: error al procesar fglrx-amdcccle_8.476.1-1*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    Se encontraron errores al procesar:
    xorg-driver-fglrx_8.476.1-1*.deb
    fglrx-kernel-source_8.476.1-1*.deb
    fglrx-amdcccle_8.476.1-1*.deb

    alguien podria ayudarme, soy novatillo

    Me gusta

  42. No te preocupes :). Pero te cuento que te estás complicando de más… :).

    Revisa el punto 1.1.2.

    Sólo debes ir a Sistema > Administración > Hardware Drivers y habilitar el controlador de tu Ati…

    Sip, así de simple =).

    Me gusta

  43. en la seccion de preguntas

    Chus, en Mayo 9th, 2008 en 11:08 Dijo:

    que fue el mismo problema que me dio a mi, pero

    PaBLoX, en Mayo 11th, 2008 en 22:50 Dijo:

    le contesto que era fedora ok, pero mi version es ubuntu 8.04 asi que segui buscando en los comentarios de abajo y me encontre con que habia que activar la aceleracion y lo realice con

    sistema->administracion->controladores del hadware

    y ahi active la aceleracion, para que con esto volviera a ejecutar el comando

    sudo sh ati-driver-installer-8-4-x86.x86_64.run –buildpkg Ubuntu/Hardy

    y dejaron de salir los errorres, esto lo comento porque creo que le hace falta al manual, y con esto voy a continua despues de este comando a ver que pasa

    Me gusta

  44. en el paso 1.2.3.8 me salio el siguente error (y lo copio pego y salieron mas errores porque lo ejecute dos veces)
    sudo dpkg -i xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb fglrx-kernel-source_8.476-0ubuntu1_amd64.deb fglrx-amdcccle_8.476-0ubuntu1_amd64.deb
    [sudo] password for juanjava:
    (Leyendo la base de datos …
    158121 ficheros y directorios instalados actualmente.)
    Preparando para reemplazar xorg-driver-fglrx 1:7.1.0-8-3+2.6.24.13-19.42 (usando xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb) …
    * Stopping atieventsd [ OK ]
    dpkg-divert: `diversion of /usr/X11R6/lib32/libGL.so.1 to /usr/X11R6/lib32/fglrx/libGL.so.1.2.xlibmesa by xorg-driver-fglrx’ entra en conflicto con `diversion of /usr/X11R6/lib32/libGL.so.1 to /usr/X11R6/lib32/fglrx/libGL.so.1.xlibmesa by xorg-driver-fglrx’
    dpkg: error al procesar xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb (–install):
    el subproceso pre-installation script devolvió el código de salida de error 2
    * Starting atieventsd [ OK ]
    Preparando para reemplazar fglrx-kernel-source 2:8.476-0ubuntu1 (usando fglrx-kernel-source_8.476-0ubuntu1_amd64.deb) …
    Desempaquetando el reemplazo de fglrx-kernel-source …
    Preparando para reemplazar fglrx-amdcccle 2:8.476-0ubuntu1 (usando fglrx-amdcccle_8.476-0ubuntu1_amd64.deb) …
    Desempaquetando el reemplazo de fglrx-amdcccle …
    Configurando fglrx-kernel-source (2:8.476-0ubuntu1) …
    Adding Module to DKMS build system

    Error! DKMS tree already contains: fglrx-8.476
    You cannot add the same module/version combo more than once.
    Doing initial module build

    Error! This module/version has already been built on: 2.6.24-19-generic
    Directory: /var/lib/dkms/fglrx/8.476/2.6.24-19-generic/x86_64
    already exists. Use the dkms remove function before trying to build again.
    Installing initial module

    Error! This module/version combo is already installed
    for kernel: 2.6.24-19-generic (x86_64)
    Done.

    Configurando fglrx-amdcccle (2:8.476-0ubuntu1) …

    Se encontraron errores al procesar:
    xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb

    ahora ya llegue al casi ultimo paso y ya me desespere me podrian auxiliar y si no comentarme para desistir

    Me gusta

  45. Mira, si estás usando Hardy, puedes instalar desde “Hardware Drivers” (Sistema > Administración > Hardware Drivers) esos son casi los últimos drivers y funcionan muy bien. Eso es bastante más sencillo que seguir todos estos pasos :).

    Me gusta

  46. Gonzalo Díaz Cruz: Que bueno que te haya servido lo de la suspensión! =D.

    Pablo N.: No tenía idea de eso. Decidí que no usaría más “proposed” para no llenarme de tantas actualizaciones. (Quien sabe, quizá eso es lo que me inestabiliza el sistema).

    De todas formas gracias por el dato, lo voy a agregar :).

    Me gusta

  47. Tengo un problema, espero me puedan ayudar: miren pasa que al ejecutar esto, ocurre esto:
    xxzeroxx@L-desktop:~$ sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel-source_*.deb fglrx-amdcccle_*.deb
    dpkg: error al procesar xorg-driver-fglrx_*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    dpkg: error al procesar fglrx-kernel-source_*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    dpkg: error al procesar fglrx-amdcccle_*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    Se encontraron errores al procesar:
    xorg-driver-fglrx_*.deb
    fglrx-kernel-source_*.deb
    fglrx-amdcccle_*.deb

    Tengo una ATI X700 PCI express

    Me gusta

  48. Mira, espero me puedas ayudar, ahora lo he hecho todo desde mi carpeta personal, y cambio un poco la situacion:
    xxzeroxx@L-desktop:~$ sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel-source_*.deb fglrx-amdcccle_*.deb
    dpkg: acerca de xorg-driver-fglrx_8.512-0ubuntu1_i386.deb que contiene xorg-driver-fglrx:
    xorg-driver-fglrx entra en conflicto con fglrx-driver
    xorg-driver-fglrx-envy proporciona fglrx-driver y es instalado.
    dpkg: error al procesar xorg-driver-fglrx_8.512-0ubuntu1_i386.deb (–install):
    paquetes en conflicto – no se instalará xorg-driver-fglrx
    dpkg: acerca de fglrx-kernel-source_8.512-0ubuntu1_i386.deb que contiene fglrx-kernel-source:
    fglrx-kernel-source-envy entra en conflicto con fglrx-kernel-source
    fglrx-kernel-source (versión 2:8.512-0ubuntu1) va a ser instalado.
    dpkg: error al procesar fglrx-kernel-source_8.512-0ubuntu1_i386.deb (–install):
    paquetes en conflicto – no se instalará fglrx-kernel-source
    dpkg: acerca de fglrx-amdcccle_8.512-0ubuntu1_i386.deb que contiene fglrx-amdcccle:
    fglrx-amdcccle entra en conflicto con fglrx-control
    fglrx-control-envy proporciona fglrx-control y es instalado.
    dpkg: error al procesar fglrx-amdcccle_8.512-0ubuntu1_i386.deb (–install):
    paquetes en conflicto – no se instalará fglrx-amdcccle
    Se encontraron errores al procesar:
    xorg-driver-fglrx_8.512-0ubuntu1_i386.deb
    fglrx-kernel-source_8.512-0ubuntu1_i386.deb
    fglrx-amdcccle_8.512-0ubuntu1_i386.deb

    Creo, que es por que los anteriores drivers los instale con envy, estoy en lo correcto?
    que debo hacer?

    Me gusta

  49. Bueno, ya logre hacerlo desinstalando los paquetes de envy, pero ahora me sale esto, es normal?
    xxzeroxx@L-desktop:~$ sudo aticonfig –initial
    Found fglrx primary device section
    Using /etc/X11/xorg.conf
    Saved back-up to /etc/X11/xorg.conf.fglrx-2

    Ademas en el administrador de hardware, aparece una palomita dentro del driver, y se supone no deberia aparecer.

    Me gusta

  50. Ok, gracias, ya probe los comandos y me dice que si tengo aceleracion.
    Aunque lo que me da el glxgears, se me hace muy poco
    Aqui lo posteo a ver si alguien sabe si es normal:
    xxzeroxx@L-desktop:~$ glxgears
    9065 frames in 5.0 seconds = 1812.851 FPS
    9442 frames in 5.0 seconds = 1888.385 FPS
    9428 frames in 5.0 seconds = 1885.414 FPS
    9442 frames in 5.0 seconds = 1888.262 FPS
    9441 frames in 5.0 seconds = 1888.161 FPS
    9427 frames in 5.0 seconds = 1885.350 FPS
    9443 frames in 5.0 seconds = 1888.537 FPS
    9442 frames in 5.0 seconds = 1888.266 FPS

    Es una ATI X700 PCI EXPRESS.

    Me gusta

  51. No sabría la verdad si eso es lo correcto, yo tengo la Ati que está integrada…

    Radeon Xpress 1100 IGP como dice lspci y me entrega:

    9034 frames in 5.0 seconds = 1806.727 FPS
    8870 frames in 5.0 seconds = 1773.966 FPS
    10334 frames in 5.0 seconds = 2066.780 FPS
    10040 frames in 5.0 seconds = 2007.910 FPS
    11473 frames in 5.0 seconds = 2294.424 FPS
    9045 frames in 5.0 seconds = 1808.961 FPS
    10888 frames in 5.0 seconds = 2177.462 FPS
    10367 frames in 5.0 seconds = 2073.366 FPS

    No sé si te sirve de referencia… :)

    Me gusta

  52. Hola:

    Tengo un problema en el paso 8 (DESDE CERO):

    1. Instalamos los paquetes.
    * sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel-source_*.deb fglrx-amdcccle_*.deb

    me devuelve esto:
    dpkg: error al procesar xorg-driver-fglrx_*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    dpkg: error al procesar fglrx-kernel-source_*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    dpkg: error al procesar fglrx-amdcccle_*.deb (–install):
    no se puede acceder al archivo: No existe el fichero ó directorio
    Se encontraron errores al procesar:
    xorg-driver-fglrx_*.deb
    fglrx-kernel-source_*.deb
    fglrx-amdcccle_*.deb

    Donde consigo los paquetes?. gracias.

    Me gusta

  53. Gracias por responder.

    Logre instalarlo y todo, pero no me guarda la configuración de la resolución.
    me la coloca de inicio en 1280×1024, luego manualmente la coloco en 1024×768 pero cuando reincio y vuelvo a comenzar una sesion , la resolucion ha vuelto a 1280×1024.

    Me gusta

  54. Como va??

    Descargué el driver del link, pero cuando le doy para instalar con el comando SH que dejaste en el tutorial me aparece esta linea en la terminal

    sh: Can’t open ati-driver-installer-8-9-x86.x86_64.run

    Y no se como hacer para hacerlo andar, alguna sugerencia, me està faltando al paso??

    Muchas gracias!

    Me gusta

  55. Como va, si estoy seguro lo estoy haciendo obiamente como root, pero me percatè de algo, cuando hago el paso anterior, seria el de ejecutar el paquete que descargamos, al final dice algo como que no encuentra los paquetes de mi arquitectura.

    Generating package: Ubuntu/hardy
    ./packages/Ubuntu/ati-packager.sh: 364: sh -c ‘/usr/sbin/synaptic –set-selections –non-interactive –hide-main-window < /tmp/fileNyZqUx’: not found
    Unable to install dpkg-dev. Please manually install and try again.
    ./packages/Ubuntu/ati-packager.sh: 364: dpkg-architecture: not found
    Error: unsupported architecture:
    Removing temporary directory: fglrx-install.v10368

    Podrìas darme una mano???

    Muchas gracias

    Me gusta

  56. hola. mira keria comentarte que tengo una acer aspire 3303 MLWi y sucede k se me ha caido y ahora no me funciona el mouse, ni la parte tactil del portatil, ni conectandole el mouse al puerto usb. el portatil enciende y todo pero no puedo ponerle la contraseña de inicio debido a este problema.¿ QUE CREES TU K PUEDE SER?

    Me gusta

  57. Hola, he seguido los pasos he instalado los drivers.
    Esto lo he hecho ya que venia con algún problema con el 3D, ya que no me funcionaba ni ahí el Google Earth.
    Al desinstalar los drivers de EnvyNG y seguir lo pasos he instalarlos como tu indicas, todo funcionó bien, excepto algunas cositas:
    -El Google Earth me titila mucho la pantalla, si bien muestra el mapa mundi, pero titila muchisimo.
    -Al hacer Alt+TAB, las imágenes no aparecen, solo aparecen cuadrados blancos.
    -Si hago un glxgears, lo hace bien pero con algún parpadeo cada tanto …

    Sabrás como puedo solucionar estos temas?
    Tengo Ubuntu 8.04.

    slds

    Me gusta

  58. Anibal, segun tengo entendido yo, es normal ya que aun no se ha sacado un driver que solucione ese problema. De momento te lo que toca hacer es desactivar el compiz para utilizar el Google Earth.
    Lo segundo a mi tb me lo hace, pero no le dado importancia. Si encuentras la solución exponla.

    Me gusta

  59. UN POSIBLE PROBLEMA PARA ESTE DRIVER 8.10

    Os funciona bien quien tenga instalado el Mythtv???

    Tras instalar el driver 8.10 desde un equipo limpio (recien instalado s.o.) y ver que funciona correctamente me puse a instalar el Mythtv, y para cuando entro para configurarlo me veo que la imagen sale de esta forma: http://img128.imageshack.us/my.php?image=mythtvcondriverati810yc1.jpg
    Os hago una foto desde la camara, ya que es curioso que cuando lo hago desde un print pantalla sale bien la imagen…
    He probado de todo, quitar el compiz, bajar los Hz, la resolución, la calidad gráfica en cuestion de filtros,,, no se me ocurre más.
    Os pasa alguno de vosotros? será un defecto de este driver?
    Tengo instalado el ubunto 7.10

    Me gusta

  60. Anibal: Tal como te indica Arturo, prueba desactivar Compiz y cuéntanos si soluciona el problema :).

    Arturo: Que extraño el problema :S. Estoy completamente desconcertado… yo no utilizo mythtv, utilizo XBMC y al menos ese anda bien. Podrías probarlo :).

    Lo otro, estás utilizando un versión de UbuntU de casi un año atrás, si fuera tú, unas semanas después de que saliera Intrepid lo instalaría.

    Me gusta

  61. Hola no sé si tendrá que ver con lo del driver que comentáis, pero como es lo más parecido que he encontrado os cuento de que un tabletpc hp+ubuntu8.10+clonacion de otro tabletpc hp me da un error que dice que no se ha instalado correctamente la configuración de energía. Y en concreto al buscar datos me dice:

    cole@cole-tabletpc2:~$ gnome-power-manager –verbose –no-daemon
    TI:12:45:53 TH:0x937a640 FI:egg-debug.c FN:egg_debug_init,281
    – Verbose debugging 1 (on console 1)
    TI:12:45:53 TH:0x937a640 FI:gpm-main.c FN:main,207
    – GNOME Gestión de energía 2.24.0
    TI:12:45:53 TH:0x937a640 FI:gpm-ac-adapter.c FN:gpm_ac_adapter_init,200
    – using /org/freedesktop/Hal/devices/computer_power_supply_ac_adapter_C1AA
    TI:12:45:53 TH:0x937a640 FI:gpm-notify.c FN:gpm_notify_create,126
    – libnotify: Gestión de energía : No se ha instalado correctamente la configuración predeterminada para Gestión de energía.
    Por favor, contacte con el administrador de su sistema.
    TI:12:45:53 TH:0x937a640 FI:gpm-manager.c FN:gpm_manager_init,1744
    – no gconf schema installed!
    Traceback:
    gnome-power-manager [0x804ed2b]
    gnome-power-manager [0x806a2e2]
    /usr/lib/libgobject-2.0.so.0(g_type_create_instance+0x453) [0xb71d21c3]
    /usr/lib/libgobject-2.0.so.0 [0xb71b63d5]
    /usr/lib/libgobject-2.0.so.0(g_object_newv+0x376) [0xb71b6c06]
    /usr/lib/libgobject-2.0.so.0(g_object_new_valist+0x2b7) [0xb71b77d7]
    /usr/lib/libgobject-2.0.so.0(g_object_new+0x6e) [0xb71b794e]
    gnome-power-manager [0x806924c]
    gnome-power-manager [0x80689dc]
    /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5) [0xb6f8d685]
    gnome-power-manager [0x804e711]

    Puedo crear esa configuración para este equipo sin reinstalar todo el ubuntu? Reinstalando todo el ubuntu?

    Gracias

    Me gusta

  62. hola amigos mm les quiero comentar que al hacer la suspension lo hace pero a la hora de regresar el sistema ya no vuelve y se queda en negro la pantalla y por l tanto en la list del acpi los dos valores que me salian en tru loos pase a false como dice en este post pero aun asi no regresa el sistema por favor alguien me puede ayudar con este asunto tengo una acer aspire 5530 con ati radeon hd 3200 mmmm que el poder de linux los acompañe saludos y gracias de antemano

    Me gusta

  63. Hola amigos,
    He llegado hasta el paso 1.11, re-inicio el pc y al re-iniciar se me quedan unos “3 dedos” de la parte de abajo de la pantalla en blanco, no puedo ni ver el kmenu ni la barra de tareas….
    Que he hecho mal?
    Gracias de antemano!!!

    Me gusta

  64. No entendí si la entrada sirve para Jaunty o no :( .

    Tengo Jaunty y esa misma tarjeta de video. Cuando traté de activar el fglrx se muere el video.

    En todo caso voy a probar el último post de felipe.
    Saludos

    Me gusta

  65. felipe: Hace tiempo que leí tu post, pero aún no he tenido las agallas de probarlo, por eso no he contestado. Apenas lo pruebe contaré mis experiencias.

    Abel O’Rian: No, no sirve para Jaunty por las explicaciones que di en la primera parte. Canonical nos perjudicó. Aunque ahora estoy en Jaunty con los drivers open source y tengo compositing en xfce :).

    Me gusta

  66. pablox como te va, mi problema es el siguiente probe el ubuntu 9.4 y bien mi compiz funciona a la perfeccion con todos sus efectos, el problema esta en la resolucion de la pantalla que no encuentro la manera de aumentarla a 1280X1024 e intentado por xorg.conf y nada instale los drivers de ati y perdi mi entorno grafico. ahora bien mi pregunta es la siguiente con ubuntu 8.10 y realizando el paso 1.1.2 no tendre ningu problemas con esto es decir podre utilizar compiz y podre cambiar mi resolucion una vez hecho el paso 1.1.2? poseo un ati x1100 en mi portatil y de verdad he tenido muchosimo lios para conseguir solucion a el problema de la resolucion muchas gracias

    Me gusta

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

w

Conectando a %s